function [residual, g1] = nontradedclosed_static( y, x )
% 
% Status : Computes static model for Dynare
%
% Warning : this file is generated automatically by Dynare
% 		from model file (.mod)

global M_ 
if M_.param_nbr > 0
  params = M_.params;
end
  residual = zeros( 31, 1);

	% 
	% Model equations
	% 

lhs =1.0/y(1)-y(8)*y(27);
rhs =0.0;
residual(1)= lhs-rhs;
lhs =(-params(19))*(1.0-y(4))^(-params(2))+y(7);
rhs =0.0;
residual(2)= lhs-rhs;
lhs =y(8)*y(22)-y(7);
rhs =0.0;
residual(3)= lhs-rhs;
lhs =y(8)*y(21)-y(7);
rhs =0.0;
residual(4)= lhs-rhs;
lhs =y(9)-y(8)*y(28)-y(28)*params(28)*(y(15)/y(19)-params(4));
rhs =0.0;
residual(5)= lhs-rhs;
lhs =y(10)-y(8)*y(28)-y(28)*params(28)*(y(16)/y(20)-params(4));
rhs =0.0;
residual(6)= lhs-rhs;
lhs =(1.0-params(4))*params(1)*y(9)-y(9)+params(1)*y(8)*y(23);
rhs =0.0;
residual(7)= lhs-rhs;
lhs =(1.0-params(4))*params(1)*y(10)-y(10)+params(1)*y(8)*y(24);
rhs =0.0;
residual(8)= lhs-rhs;
lhs =y(12);
rhs =y(19)^params(5)*(exp(y(25))*y(5))^(1.0-params(5));
residual(9)= lhs-rhs;
lhs =y(13);
rhs =y(20)^params(6)*(exp(y(26))*y(6))^(1.0-params(6));
residual(10)= lhs-rhs;
lhs =y(11);
rhs =y(13)+y(12)*y(29);
residual(11)= lhs-rhs;
lhs =y(12);
rhs =y(2)+y(17);
residual(12)= lhs-rhs;
lhs =y(13);
rhs =y(3)+y(18);
residual(13)= lhs-rhs;
lhs =y(14);
rhs =y(15)+y(16);
residual(14)= lhs-rhs;
lhs =y(4);
rhs =y(5)+y(6);
residual(15)= lhs-rhs;
T117=y(29)^((-1.0)/params(26));
lhs =y(27);
rhs =(params(22)*T117+1.0-params(22))^(-params(26));
residual(16)= lhs-rhs;
T127=(-(1.0+params(26)))/params(26);
lhs =y(2);
rhs =y(1)*params(22)*(y(29)/y(27))^T127;
residual(17)= lhs-rhs;
lhs =y(3);
rhs =y(1)*(1.0-params(22))*(1.0/y(27))^T127;
residual(18)= lhs-rhs;
lhs =y(28);
rhs =(T117*params(24)+1.0-params(24))^(-params(26));
residual(19)= lhs-rhs;
lhs =y(17);
rhs =y(14)*params(24)*(y(29)/y(28))^T127;
residual(20)= lhs-rhs;
lhs =y(18);
rhs =y(14)*(1.0-params(24))*(1.0/y(28))^T127;
residual(21)= lhs-rhs;
lhs =y(30);
rhs =1.0-y(1)/y(11);
residual(22)= lhs-rhs;
lhs =y(31);
rhs =y(14)/y(11);
residual(23)= lhs-rhs;
lhs =y(20);
rhs =y(16)+(1.0-params(4))*y(20);
residual(24)= lhs-rhs;
lhs =y(19);
rhs =y(15)+(1.0-params(4))*y(19);
residual(25)= lhs-rhs;
lhs =y(21);
rhs =exp(y(25))*(1.0-params(5))*y(12)/(exp(y(25))*y(5));
residual(26)= lhs-rhs;
lhs =y(22);
rhs =exp(y(26))*(1.0-params(6))*y(13)/(exp(y(26))*y(6));
residual(27)= lhs-rhs;
lhs =y(23);
rhs =params(5)*y(12)/y(19);
residual(28)= lhs-rhs;
lhs =y(24);
rhs =params(6)*y(13)/y(20);
residual(29)= lhs-rhs;
lhs =y(25);
rhs =params(20)*y(25)+x(1);
residual(30)= lhs-rhs;
lhs =y(26);
rhs =params(21)*y(26)+x(2);
residual(31)= lhs-rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
if nargout >= 2,
  g1 = zeros(31, 31);

	% 
	% Jacobian matrix
	% 

T215=T127-1.0;
T217=T127*(y(29)/y(27))^T215;
T248=T127*(y(29)/y(28))^T215;
T399=(-1.0)/params(26)*y(29)^((-1.0)/params(26)-1.0);
  g1(1, 1)=  g1(1, 1)+(-1.0)/(y(1)*y(1));
  g1(17, 1)=  g1(17, 1)+(-(params(22)*(y(29)/y(27))^T127));
  g1(18, 1)=  g1(18, 1)+(-((1.0-params(22))*(1.0/y(27))^T127));
  g1(22, 1)=  g1(22, 1)+y(11)/(y(11)*y(11));
  g1(1, 8)=  g1(1, 8)+(-y(27));
  g1(3, 8)=  g1(3, 8)+y(22);
  g1(4, 8)=  g1(4, 8)+y(21);
  g1(5, 8)=  g1(5, 8)+(-y(28));
  g1(6, 8)=  g1(6, 8)+(-y(28));
  g1(1, 27)=  g1(1, 27)+(-y(8));
  g1(16, 27)=  g1(16, 27)+1.0;
  g1(17, 27)=  g1(17, 27)+(-(y(1)*params(22)*(-y(29))/(y(27)*y(27))*T217));
  g1(18, 27)=  g1(18, 27)+(-(y(1)*(1.0-params(22))*(-1.0)/(y(27)*y(27))*T127*(1.0/y(27))^T215));
  g1(2, 4)=  g1(2, 4)+(-params(19))*(-((-params(2))*(1.0-y(4))^((-params(2))-1.0)));
  g1(15, 4)=  g1(15, 4)+1.0;
  g1(2, 7)=  g1(2, 7)+1.0;
  g1(3, 7)=  g1(3, 7)+(-1.0);
  g1(4, 7)=  g1(4, 7)+(-1.0);
  g1(3, 22)=  g1(3, 22)+y(8);
  g1(27, 22)=  g1(27, 22)+1.0;
  g1(4, 21)=  g1(4, 21)+y(8);
  g1(26, 21)=  g1(26, 21)+1.0;
  g1(5, 9)=  g1(5, 9)+1.0;
  g1(7, 9)=  g1(7, 9)+(-1.0);
  g1(5, 28)=  g1(5, 28)+(-y(8))-params(28)*(y(15)/y(19)-params(4));
  g1(6, 28)=  g1(6, 28)+(-y(8))-params(28)*(y(16)/y(20)-params(4));
  g1(19, 28)=  g1(19, 28)+1.0;
  g1(20, 28)=  g1(20, 28)+(-(y(14)*params(24)*(-y(29))/(y(28)*y(28))*T248));
  g1(21, 28)=  g1(21, 28)+(-(y(14)*(1.0-params(24))*(-1.0)/(y(28)*y(28))*T127*(1.0/y(28))^T215));
  g1(5, 15)=  g1(5, 15)+(-(y(28)*params(28)*y(19)/(y(19)*y(19))));
  g1(14, 15)=  g1(14, 15)+(-1.0);
  g1(25, 15)=  g1(25, 15)+(-1.0);
  g1(5, 19)=  g1(5, 19)+(-(y(28)*params(28)*(-y(15))/(y(19)*y(19))));
  g1(25, 19)=  g1(25, 19)+1.0;
  g1(6, 10)=  g1(6, 10)+1.0;
  g1(8, 10)=  g1(8, 10)+(-1.0);
  g1(6, 16)=  g1(6, 16)+(-(y(28)*params(28)*y(20)/(y(20)*y(20))));
  g1(14, 16)=  g1(14, 16)+(-1.0);
  g1(24, 16)=  g1(24, 16)+(-1.0);
  g1(6, 20)=  g1(6, 20)+(-(y(28)*params(28)*(-y(16))/(y(20)*y(20))));
  g1(24, 20)=  g1(24, 20)+1.0;
  g1(7, 9)=  g1(7, 9)+(1.0-params(4))*params(1);
  g1(7, 8)=  g1(7, 8)+params(1)*y(23);
  g1(8, 8)=  g1(8, 8)+params(1)*y(24);
  g1(7, 23)=  g1(7, 23)+params(1)*y(8);
  g1(8, 10)=  g1(8, 10)+(1.0-params(4))*params(1);
  g1(8, 24)=  g1(8, 24)+params(1)*y(8);
  g1(9, 12)=  g1(9, 12)+1.0;
  g1(11, 12)=  g1(11, 12)+(-y(29));
  g1(12, 12)=  g1(12, 12)+1.0;
  g1(26, 12)=  g1(26, 12)+(-(exp(y(25))*(1.0-params(5))*(exp(y(25))*y(5))/(exp(y(25))*y(5)*exp(y(25))*y(5))));
  g1(28, 12)=  g1(28, 12)+(-(params(5)*y(19)/(y(19)*y(19))));
  g1(9, 19)=  g1(9, 19)+(-((exp(y(25))*y(5))^(1.0-params(5))*params(5)*y(19)^(params(5)-1.0)));
  g1(25, 19)=  g1(25, 19)+(-(1.0-params(4)));
  g1(28, 19)=  g1(28, 19)+(-(params(5)*(-y(12))/(y(19)*y(19))));
  g1(9, 25)=  g1(9, 25)+(-(y(19)^params(5)*exp(y(25))*y(5)*(1.0-params(5))*(exp(y(25))*y(5))^(1.0-params(5)-1.0)));
  g1(26, 25)=  g1(26, 25)+(-(exp(y(25))*(1.0-params(5))*y(12)/(exp(y(25))*y(5))+exp(y(25))*(1.0-params(5))*(-(y(12)*exp(y(25))*y(5)))/(exp(y(25))*y(5)*exp(y(25))*y(5))));
  g1(30, 25)=  g1(30, 25)+1.0;
  g1(9, 5)=  g1(9, 5)+(-(y(19)^params(5)*exp(y(25))*(1.0-params(5))*(exp(y(25))*y(5))^(1.0-params(5)-1.0)));
  g1(15, 5)=  g1(15, 5)+(-1.0);
  g1(26, 5)=  g1(26, 5)+(-(exp(y(25))*(1.0-params(5))*(-(y(12)*exp(y(25))))/(exp(y(25))*y(5)*exp(y(25))*y(5))));
  g1(10, 13)=  g1(10, 13)+1.0;
  g1(11, 13)=  g1(11, 13)+(-1.0);
  g1(13, 13)=  g1(13, 13)+1.0;
  g1(27, 13)=  g1(27, 13)+(-(exp(y(26))*(1.0-params(6))*(exp(y(26))*y(6))/(exp(y(26))*y(6)*exp(y(26))*y(6))));
  g1(29, 13)=  g1(29, 13)+(-(params(6)*y(20)/(y(20)*y(20))));
  g1(10, 20)=  g1(10, 20)+(-((exp(y(26))*y(6))^(1.0-params(6))*params(6)*y(20)^(params(6)-1.0)));
  g1(24, 20)=  g1(24, 20)+(-(1.0-params(4)));
  g1(29, 20)=  g1(29, 20)+(-(params(6)*(-y(13))/(y(20)*y(20))));
  g1(10, 26)=  g1(10, 26)+(-(y(20)^params(6)*exp(y(26))*y(6)*(1.0-params(6))*(exp(y(26))*y(6))^(1.0-params(6)-1.0)));
  g1(27, 26)=  g1(27, 26)+(-(exp(y(26))*(1.0-params(6))*y(13)/(exp(y(26))*y(6))+exp(y(26))*(1.0-params(6))*(-(y(13)*exp(y(26))*y(6)))/(exp(y(26))*y(6)*exp(y(26))*y(6))));
  g1(31, 26)=  g1(31, 26)+1.0;
  g1(10, 6)=  g1(10, 6)+(-(y(20)^params(6)*exp(y(26))*(1.0-params(6))*(exp(y(26))*y(6))^(1.0-params(6)-1.0)));
  g1(15, 6)=  g1(15, 6)+(-1.0);
  g1(27, 6)=  g1(27, 6)+(-(exp(y(26))*(1.0-params(6))*(-(y(13)*exp(y(26))))/(exp(y(26))*y(6)*exp(y(26))*y(6))));
  g1(11, 11)=  g1(11, 11)+1.0;
  g1(22, 11)=  g1(22, 11)+(-y(1))/(y(11)*y(11));
  g1(23, 11)=  g1(23, 11)+(-((-y(14))/(y(11)*y(11))));
  g1(11, 29)=  g1(11, 29)+(-y(12));
  g1(16, 29)=  g1(16, 29)+(-(params(22)*T399*(-params(26))*(params(22)*T117+1.0-params(22))^((-params(26))-1.0)));
  g1(17, 29)=  g1(17, 29)+(-(y(1)*params(22)*T217*y(27)/(y(27)*y(27))));
  g1(19, 29)=  g1(19, 29)+(-(params(24)*T399*(-params(26))*(T117*params(24)+1.0-params(24))^((-params(26))-1.0)));
  g1(20, 29)=  g1(20, 29)+(-(y(14)*params(24)*T248*y(28)/(y(28)*y(28))));
  g1(12, 2)=  g1(12, 2)+(-1.0);
  g1(17, 2)=  g1(17, 2)+1.0;
  g1(12, 17)=  g1(12, 17)+(-1.0);
  g1(20, 17)=  g1(20, 17)+1.0;
  g1(13, 3)=  g1(13, 3)+(-1.0);
  g1(18, 3)=  g1(18, 3)+1.0;
  g1(13, 18)=  g1(13, 18)+(-1.0);
  g1(21, 18)=  g1(21, 18)+1.0;
  g1(14, 14)=  g1(14, 14)+1.0;
  g1(20, 14)=  g1(20, 14)+(-(params(24)*(y(29)/y(28))^T127));
  g1(21, 14)=  g1(21, 14)+(-((1.0-params(24))*(1.0/y(28))^T127));
  g1(23, 14)=  g1(23, 14)+(-(y(11)/(y(11)*y(11))));
  g1(22, 30)=  g1(22, 30)+1.0;
  g1(23, 31)=  g1(23, 31)+1.0;
  g1(28, 23)=  g1(28, 23)+1.0;
  g1(29, 24)=  g1(29, 24)+1.0;
  g1(30, 25)=  g1(30, 25)+(-params(20));
  g1(31, 26)=  g1(31, 26)+(-params(21));
  if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
  end
end
